Package com.avaya.clientservices.contact.fields

## Class EditableContactIMAddressField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactIMAddressField
    - - com.avaya.clientservices.contact.fields.EditableContactIMAddressField

- All Implemented Interfaces:
    `BaseContactField`

      public class EditableContactIMAddressField
      extends ContactIMAddressField

  The EditableContactIMAddressField class extends the ContactIMAddressField class to provide the application with the ability to edit a IM Address field in a contact. The editable version of a contact field is obtained from the `EditableContact` class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditableContactIMAddressField()` | Editable IM Address constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `setIMAddress​(java.lang.String iMAddress)` | Sets or updates the IM Address.
    `void` | `setSubType​(java.lang.String subType)` | Sets or updates the IM Address sub type.
    `void` | `setType​(java.lang.String type)` | Sets or updates the IM Address type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactIMAddressField

      `getIMAddress, getSubType, getType, hashCode`

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditableContactIMAddressField

          public EditableContactIMAddressField()

      Editable IM Address constructor.

  - ### Method Detail

    - #### setIMAddress

          public void setIMAddress​(java.lang.String iMAddress)

      Sets or updates the IM Address.
      Parameters:
        `iMAddress` - The new IM Address.

    - #### setType

          public void setType​(java.lang.String type)

      Sets or updates the IM Address type.
      Parameters:
        `type` - The new IM Address type.

    - #### setSubType

          public void setSubType​(java.lang.String subType)

      Sets or updates the IM Address sub type.
      Parameters:
        `subType` - The new IM Address sub type.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactIMAddressField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactIMAddressField`